> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readfile.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Jobs

> Returns a list of the processing jobs you have submitted to ReadFile.



## OpenAPI

````yaml GET /v1.0.1/file/jobs
openapi: 3.0.1
info:
  title: ReadFile Documentation
  description: This is the API documentation for the ReadFile API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://api.readfile.io/
security:
  - ApiKeyAuth: []
paths:
  /v1.0.1/file/jobs:
    get:
      description: Returns a list of the processing jobs you have submitted to ReadFile.
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            default: 10
          required: true
          description: The number of jobs to return, sorted in timestamp order.
      responses:
        '200':
          description: Successfully retrieved jobs list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsList'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate Limit Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobsList:
      type: array
      items:
        $ref: '#/components/schemas/Job'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Job:
      type: object
      required:
        - job_id
        - status
      properties:
        strategy:
          description: The processing strategy used for the extraction.
          type: string
        job_id:
          description: The identifier of your task on ReadFile.
          type: string
        file_name:
          description: The name of the file processed.
          type: string
        status:
          description: The current state of your task on ReadFile.
          type: string
        timestamp:
          description: The time the job was initiated
          type: string
          format: date-time
        elapsed_time_ms:
          description: The length of time the job took to complete, in milliseconds
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````